Subject: Re: [PATCH v2 11/12] t0610: fix non-portable variable assignment

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 8 Apr 2024 10:56:44 +0200

On Mon, Apr 08, 2024 at 02:57:04AM -0400, Eric Sunshine wrote:
> On Mon, Apr 8, 2024 at 2:47 AM Patrick Steinhardt <[email-masked]> wrote:
> > Older versions of the Dash shell fail to parse `local var=val`
> > assignments in some cases when `val` is unquoted. Such failures can be
> > observed e.g. with Ubuntu 20.04 and older, which has a Dash version that
> > still has this bug.
> >
> > Such an assignment has been introduced in t0610. The issue wasn't
> > detected for a while because this test used to only run when the
> > GIT_TEST_DEFAULT_REF_FORMAT environment variable was set to "refatble".
> > We have dropped that requirement now though, meaning that it runs
> > unconditionally, inclluding on jobs which use such older versions of
> > Ubuntu.
> 
> s/refatble/reftable/
> s/inclluding/including/

Thanks, fixed locally. I'll wait for more feedback before sending out a
new version.

Patrick

> > We have worked around such issues in the past, e.g. in ebee5580ca
> > (parallel-checkout: avoid dash local bug in tests, 2021-06-06), by
> > quoting the `val` side. Apply the same fix to t0610.
> >
> > Signed-off-by: Patrick Steinhardt <[email-masked]>